
CREATE TABLE `gtx_bafwgs` (
  `ZZMC` varchar(255) DEFAULT NULL COMMENT '证照名称',
  `ZZHM` varchar(255) DEFAULT NULL COMMENT '许可证编号',
  `CYRMC` varchar(255) DEFAULT NULL COMMENT '持有者名称',
  `CYRSFZJLX` varchar(255) DEFAULT NULL COMMENT '持有者证件类型',
  `CYRSFZJHM` varchar(255) DEFAULT NULL COMMENT '持有者证件号码',
  `FZJGMC` varchar(255) DEFAULT NULL COMMENT '颁发机关',
  `FZJGZZJGDM` varchar(255) DEFAULT NULL COMMENT '发证机构唯一标识',
  `FZJGSSXZQHDM` varchar(255) DEFAULT NULL COMMENT '发证机构所属行政区划代码',
  `FZRQ` varchar(255) DEFAULT NULL COMMENT '颁发日期',
  `YXQJSRQ` varchar(255) DEFAULT NULL COMMENT '有效期结束日期',
  `XKZZJH` varchar(255) DEFAULT NULL COMMENT '许可证中间号',
  `ZS` varchar(255) DEFAULT NULL COMMENT '住所',
  `FR` varchar(255) DEFAULT NULL COMMENT '法人',
  `FWFW` varchar(255) DEFAULT NULL COMMENT '服务范围',
  `ZCZB` varchar(255) DEFAULT NULL COMMENT '注册资本',
  `PZWH` varchar(255) DEFAULT NULL COMMENT '批准文号',
  `push` char(1) DEFAULT '0',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `gtx_bapxdw` (
  `ZZMC` varchar(255) DEFAULT NULL COMMENT '证照名称',
  `ZZHM` varchar(255) DEFAULT NULL COMMENT '许可证编号',
  `CYRMC` varchar(255) DEFAULT NULL COMMENT '持有者名称',
  `CYRSFZJLX` varchar(255) DEFAULT NULL COMMENT '持有者证件类型',
  `CYRSFZJHM` varchar(255) DEFAULT NULL COMMENT '持有者证件号码',
  `FZJGMC` varchar(255) DEFAULT NULL COMMENT '颁发机关',
  `FZJGZZJGDM` varchar(255) DEFAULT NULL COMMENT '发证机构唯一标识',
  `FZJGSSXZQHDM` varchar(255) DEFAULT NULL COMMENT '发证机构所属行政区划代码',
  `FZRQ` varchar(255) DEFAULT NULL COMMENT '颁发日期',
  `YXQJSRQ` varchar(255) DEFAULT NULL COMMENT '有效期结束日期',
  `XKZZJH` varchar(255) DEFAULT NULL COMMENT '许可证中间号',
  `FR` varchar(255) DEFAULT NULL COMMENT '法人',
  `PXNR` varchar(255) DEFAULT NULL COMMENT '培训内容',
  `PZWH` varchar(255) DEFAULT NULL COMMENT '批准文号',
  `ZS` varchar(255) DEFAULT NULL COMMENT '住所',
  `push` char(1) DEFAULT '0',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `gtx_bayzgz` (
  `ZZMC` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '证照名称',
  `ZZHM` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '许可证编号',
  `CYRMC` varchar(200) CHARACTER SET utf8 DEFAULT NULL COMMENT '持有者名称',
  `CYRSFZJLX` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '持有者证件类型',
  `CYRSFZJHM` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '持有者证件号码',
  `FZJGMC` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '颁发机关',
  `FZJGZZJGDM` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '发证机构唯一标识',
  `FZJGSSXZQHDM` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '发证机构所属行政区划代码',
  `FZRQ` varchar(17) CHARACTER SET utf8 DEFAULT NULL COMMENT '颁发日期',
  `YXQJSRQ` varchar(17) CHARACTER SET utf8 DEFAULT NULL COMMENT '有效期结束日期',
  `MZ` varchar(100) CHARACTER SET utf8 DEFAULT NULL COMMENT '民族',
  `CSRQ` varchar(17) CHARACTER SET utf8 DEFAULT NULL COMMENT '出生日期',
  `ZZ` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '住址',
  `ZP` varchar(255) DEFAULT NULL COMMENT '照片',
  `push` bit(1) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



#资格证/等级证学习记录
DROP TABLE IF EXISTS `cer_learn_record`;
CREATE TABLE `cer_learn_record` (
  `id` BIGINT(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `active` bit(1) DEFAULT b'1' COMMENT '是否可用',
  `updateflag` bit(1) DEFAULT NULL COMMENT '更新标识',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(50) DEFAULT NULL COMMENT '修改者',
  `areaCode` varchar(6) DEFAULT NULL COMMENT '数据区域',
	`userid` bigint(20) DEFAULT NULL COMMENT '用户id',
  `name` varchar(20) DEFAULT NULL COMMENT '姓名',
  `idNum` varchar(18) DEFAULT NULL COMMENT '身份证号',
  `phone` varchar(20) DEFAULT NULL COMMENT '手机号',
	`perId` bigint(20) DEFAULT NULL COMMENT '人员id',
	`comId` bigint(20) DEFAULT NULL COMMENT '公司id',
  `comName` varchar(50) DEFAULT NULL COMMENT '现职企业',
  `courseName` varchar(200) DEFAULT NULL COMMENT '所学课程名称',
	`progress` varchar(500) DEFAULT NULL COMMENT '记录进度',
  `recordTime` datetime DEFAULT NULL COMMENT '记录时间',
  `address` varchar(500) DEFAULT NULL COMMENT '记录地点',
  `photo` varchar(500) DEFAULT NULL COMMENT '自拍照片',
  `recordType` varchar(10) DEFAULT NULL COMMENT '记录类型 01 资格证 02 等级证',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='资格证/等级证学习记录';